TabGeckoDocs
Zur Website
Dokumentation / Tresor · API

Tresor · API

Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.

GET /api/v1/vault

Zustand des Tresors

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "state",
            "mode",
            "auto_lock_minutes",
            "reason",
            "method",
            "active_key_id",
            "rotation_due",
            "recovery_key_set"
          ],
          "properties": {
            "state": {
              "type": "string"
            },
            "mode": {
              "type": "string"
            },
            "auto_lock_minutes": {
              "type": "integer"
            },
            "reason": {
              "type": [
                "null",
                "string"
              ]
            },
            "method": {
              "type": "string"
            },
            "active_key_id": {
              "type": "string"
            },
            "rotation_due": {
              "type": "boolean"
            },
            "recovery_key_set": {
              "type": "boolean"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Zustand des Tresors",
  "tags": [
    "Tresor"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "state",
              "mode",
              "auto_lock_minutes",
              "reason",
              "method",
              "active_key_id",
              "rotation_due",
              "recovery_key_set"
            ],
            "properties": {
              "state": {
                "type": "string"
              },
              "mode": {
                "type": "string"
              },
              "auto_lock_minutes": {
                "type": "integer"
              },
              "reason": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "method": {
                "type": "string"
              },
              "active_key_id": {
                "type": "string"
              },
              "rotation_due": {
                "type": "boolean"
              },
              "recovery_key_set": {
                "type": "boolean"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PUT /api/v1/vault/password

Masterpasswort einrichten oder ändern

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "password"
        ],
        "properties": {
          "password": {
            "type": "string",
            "minLength": 12,
            "maxLength": 1024
          },
          "current_password": {
            "type": "string",
            "maxLength": 1024
          },
          "mode": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "password"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "password+dpapi"
                ]
              }
            ]
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "mode"
          ],
          "properties": {
            "mode": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "password"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "password+dpapi"
                  ]
                }
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Masterpasswort einrichten oder ändern",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "password"
          ],
          "properties": {
            "password": {
              "type": "string",
              "minLength": 12,
              "maxLength": 1024
            },
            "current_password": {
              "type": "string",
              "maxLength": 1024
            },
            "mode": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "password"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "password+dpapi"
                  ]
                }
              ]
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "mode"
            ],
            "properties": {
              "mode": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "password"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "password+dpapi"
                    ]
                  }
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/password/remove

Masterpasswort entfernen und Windows-Entsperrung verwenden

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "current_password"
        ],
        "properties": {
          "current_password": {
            "type": "string",
            "minLength": 1,
            "maxLength": 1024
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "mode"
          ],
          "properties": {
            "mode": {
              "type": "string",
              "enum": [
                "dpapi"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Masterpasswort entfernen und Windows-Entsperrung verwenden",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "current_password"
          ],
          "properties": {
            "current_password": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1024
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "mode"
            ],
            "properties": {
              "mode": {
                "type": "string",
                "enum": [
                  "dpapi"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/unlock

Tresor mit Masterpasswort entsperren

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "password"
        ],
        "properties": {
          "password": {
            "type": "string",
            "minLength": 1,
            "maxLength": 1024
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "state"
          ],
          "properties": {
            "state": {
              "type": "string",
              "enum": [
                "unlocked"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tresor mit Masterpasswort entsperren",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "password"
          ],
          "properties": {
            "password": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1024
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "state"
            ],
            "properties": {
              "state": {
                "type": "string",
                "enum": [
                  "unlocked"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/lock

Tresor sperren, wenn alle Profile und Profilaktionen beendet sind

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "state"
          ],
          "properties": {
            "state": {
              "type": "string",
              "enum": [
                "locked"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tresor sperren, wenn alle Profile und Profilaktionen beendet sind",
  "tags": [
    "Tresor"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "state"
            ],
            "properties": {
              "state": {
                "type": "string",
                "enum": [
                  "locked"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/activity

Bedienaktivität für die automatische Tresorsperre melden

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "recorded"
          ],
          "properties": {
            "recorded": {
              "type": "boolean",
              "enum": [
                true
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Bedienaktivität für die automatische Tresorsperre melden",
  "tags": [
    "Tresor"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "recorded"
            ],
            "properties": {
              "recorded": {
                "type": "boolean",
                "enum": [
                  true
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PUT /api/v1/vault/settings

Automatische Sperre nach Inaktivität einstellen; null Minuten deaktiviert sie

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "auto_lock_minutes"
        ],
        "properties": {
          "auto_lock_minutes": {
            "type": "integer",
            "minimum": 0,
            "maximum": 1440
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "auto_lock_minutes"
          ],
          "properties": {
            "auto_lock_minutes": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Automatische Sperre nach Inaktivität einstellen; null Minuten deaktiviert sie",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "auto_lock_minutes"
          ],
          "properties": {
            "auto_lock_minutes": {
              "type": "integer",
              "minimum": 0,
              "maximum": 1440
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "auto_lock_minutes"
            ],
            "properties": {
              "auto_lock_minutes": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/recovery-key

Wiederherstellungsschlüssel erzeugen; erst nach Bestätigung aktiv

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "recovery_key",
            "expires_at"
          ],
          "properties": {
            "recovery_key": {
              "type": "string"
            },
            "expires_at": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Wiederherstellungsschlüssel erzeugen; erst nach Bestätigung aktiv",
  "tags": [
    "Tresor"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "recovery_key",
              "expires_at"
            ],
            "properties": {
              "recovery_key": {
                "type": "string"
              },
              "expires_at": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/recovery-key/confirm

Wiederherstellungsschlüssel mit den letzten acht Zeichen bestätigen

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "suffix"
        ],
        "properties": {
          "suffix": {
            "type": "string",
            "minLength": 8,
            "maxLength": 16
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "recovery_key_set"
          ],
          "properties": {
            "recovery_key_set": {
              "type": "boolean",
              "enum": [
                true
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Wiederherstellungsschlüssel mit den letzten acht Zeichen bestätigen",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "suffix"
          ],
          "properties": {
            "suffix": {
              "type": "string",
              "minLength": 8,
              "maxLength": 16
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "recovery_key_set"
            ],
            "properties": {
              "recovery_key_set": {
                "type": "boolean",
                "enum": [
                  true
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/recover

Tresor mit Wiederherstellungsschlüssel für den aktuellen Windows-Benutzer entsperren

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "recovery_key"
        ],
        "properties": {
          "recovery_key": {
            "type": "string",
            "minLength": 52,
            "maxLength": 128
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "state"
          ],
          "properties": {
            "state": {
              "type": "string",
              "enum": [
                "unlocked"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tresor mit Wiederherstellungsschlüssel für den aktuellen Windows-Benutzer entsperren",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "recovery_key"
          ],
          "properties": {
            "recovery_key": {
              "type": "string",
              "minLength": 52,
              "maxLength": 128
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "state"
            ],
            "properties": {
              "state": {
                "type": "string",
                "enum": [
                  "unlocked"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/vault/missing

Nach dem Zurücksetzen des Tresors noch fehlende Geheimnisse (Proxys, Konten, eigene Proxys)

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "group_accounts",
            "reset_at",
            "proxies",
            "accounts",
            "profiles"
          ],
          "properties": {
            "group_accounts": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "group_id",
                  "group_name",
                  "name"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "group_id": {
                    "type": "string"
                  },
                  "group_name": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  }
                }
              }
            },
            "reset_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "proxies": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "label"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "label": {
                    "type": "string"
                  }
                }
              }
            },
            "accounts": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "profile_id",
                  "profile_no",
                  "platform_url",
                  "username"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "profile_id": {
                    "type": "string"
                  },
                  "profile_no": {
                    "type": "integer"
                  },
                  "platform_url": {
                    "type": "string"
                  },
                  "username": {
                    "type": [
                      "null",
                      "string"
                    ]
                  }
                }
              }
            },
            "profiles": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "no",
                  "name"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "no": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Nach dem Zurücksetzen des Tresors noch fehlende Geheimnisse (Proxys, Konten, eigene Proxys)",
  "tags": [
    "Tresor"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "group_accounts",
              "reset_at",
              "proxies",
              "accounts",
              "profiles"
            ],
            "properties": {
              "group_accounts": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "group_id",
                    "group_name",
                    "name"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "group_id": {
                      "type": "string"
                    },
                    "group_name": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    }
                  }
                }
              },
              "reset_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "proxies": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "label"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "label": {
                      "type": "string"
                    }
                  }
                }
              },
              "accounts": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "profile_id",
                    "profile_no",
                    "platform_url",
                    "username"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "profile_id": {
                      "type": "string"
                    },
                    "profile_no": {
                      "type": "integer"
                    },
                    "platform_url": {
                      "type": "string"
                    },
                    "username": {
                      "type": [
                        "null",
                        "string"
                      ]
                    }
                  }
                }
              },
              "profiles": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "no",
                    "name"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "no": {
                      "type": "integer"
                    },
                    "name": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/reset

Defekten Tresor neu anlegen: nicht mehr lesbare Geheimnisse werden entfernt und als fehlend gemeldet; die alte vault.json bleibt als Kopie erhalten

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "confirm"
        ],
        "properties": {
          "confirm": {
            "type": "boolean",
            "enum": [
              true
            ]
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "removed",
            "proxies",
            "accounts",
            "profiles"
          ],
          "properties": {
            "removed": {
              "type": "integer"
            },
            "proxies": {
              "type": "integer"
            },
            "accounts": {
              "type": "integer"
            },
            "profiles": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Defekten Tresor neu anlegen: nicht mehr lesbare Geheimnisse werden entfernt und als fehlend gemeldet; die alte vault.json bleibt als Kopie erhalten",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "confirm"
          ],
          "properties": {
            "confirm": {
              "type": "boolean",
              "enum": [
                true
              ]
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "removed",
              "proxies",
              "accounts",
              "profiles"
            ],
            "properties": {
              "removed": {
                "type": "integer"
              },
              "proxies": {
                "type": "integer"
              },
              "accounts": {
                "type": "integer"
              },
              "profiles": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/restore-secrets

Fehlende Geheimnisse aus einem .adbbackup-Vollbackup oder .adbprofile-Paket wiederherstellen (Proxys über Protokoll/Host/Port/Benutzer, Konten über Plattform und Benutzer)

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "path",
          "password"
        ],
        "properties": {
          "path": {
            "type": "string",
            "minLength": 4,
            "maxLength": 1024
          },
          "password": {
            "type": "string",
            "minLength": 1,
            "maxLength": 1024
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "proxies",
            "accounts",
            "profiles"
          ],
          "properties": {
            "proxies": {
              "type": "integer"
            },
            "accounts": {
              "type": "integer"
            },
            "profiles": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Fehlende Geheimnisse aus einem .adbbackup-Vollbackup oder .adbprofile-Paket wiederherstellen (Proxys über Protokoll/Host/Port/Benutzer, Konten über Plattform und Benutzer)",
  "tags": [
    "Tresor"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "path",
            "password"
          ],
          "properties": {
            "path": {
              "type": "string",
              "minLength": 4,
              "maxLength": 1024
            },
            "password": {
              "type": "string",
              "minLength": 1,
              "maxLength": 1024
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "proxies",
              "accounts",
              "profiles"
            ],
            "properties": {
              "proxies": {
                "type": "integer"
              },
              "accounts": {
                "type": "integer"
              },
              "profiles": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/vault/rotate

Tresorschlüssel erneuern und alle Geheimnisse neu verschlüsseln

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "rotated",
            "active_key_id"
          ],
          "properties": {
            "rotated": {
              "type": "integer"
            },
            "active_key_id": {
              "type": "string"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Tresorschlüssel erneuern und alle Geheimnisse neu verschlüsseln",
  "tags": [
    "Tresor"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "rotated",
              "active_key_id"
            ],
            "properties": {
              "rotated": {
                "type": "integer"
              },
              "active_key_id": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API-Referenz